Autor Tópico: Firefox 3.6 bin  (Lida 6039 vezes)

Offline Bluray

  • Usuário Ubuntu
  • *
  • Mensagens: 75
    • Ver perfil
Firefox 3.6 bin
« Online: 22 de Janeiro de 2010, 18:18 »
boas, baixei o Firefox 3.6 no site do  mozilla , ele funciona na perfeição , mas não consigo configurar com o flash player.
Alguém  sabe como associar o firefox 3.6 bin ao flash player ?
@CMatomic

Offline Fernas

  • Usuário Ubuntu
  • *
  • Mensagens: 46
    • Ver perfil
Re: Firefox 3.6 bin
« Resposta #1 Online: 22 de Janeiro de 2010, 23:38 »
se o seu sostema for 64 esse link resolve
http://ubuntuforum-pt.org/index.php/topic,45872.0.html
abraço

Offline Bluray

  • Usuário Ubuntu
  • *
  • Mensagens: 75
    • Ver perfil
Re: Firefox 3.6 bin
« Resposta #2 Online: 23 de Janeiro de 2010, 00:45 »
se o seu sostema for 64 esse link resolve
http://ubuntuforum-pt.org/index.php/topic,45872.0.html
abraço


eu já tenho o flash player 64bits instalado , mas o que eu quero é o firefox  3.6 bin , porque a versão do firefox  do ubuntu detecta , mas versão que quero utilizar não  detecta
« Última modificação: 23 de Janeiro de 2010, 00:47 por Bluray »
@CMatomic

Offline Bluray

  • Usuário Ubuntu
  • *
  • Mensagens: 75
    • Ver perfil
Re: Firefox 3.6 bin
« Resposta #3 Online: 23 de Janeiro de 2010, 11:47 »
encontrei num blog uma solução para instalar  o firefox do site do mozilla , e assim termos sempre a ultima  versão  do Firefox

Citar
  Install firefox 3.5.5.tar.gz2 on Linux Ubuntu (Tested on Ubuntu 9.10)
Download the new version of firefox then save in /home

We must remove the old version of firefox,
if You don't know the command of your firefox, We can check throught terminal:

Open terminal,
type : fire then press tab to get suggestion from terminal.
e.q.:

firefox-3.5

remove firefox

sudo apt-get remove firefox-3.5

Rename plugins folder to make room for the real plugin

sudo su
cd /home

extract firefox to /opt

tar -jxvf firefox-3.5.5.tar.gz2 -C /opt
cd /opt
mv /opt/firefox/plugins/ /opt/firefox/plugins.backup

Create a symbolic link plugins for firefox

ln -s /usr/lib/xulrunner-addons/plugins/ /opt/firefox/plugins

Create a new command of firefox, you can still run firefox via old shortcut of firefox

dpkg-divert --divert /usr/bin/firefox.ubuntu --rename /usr/bin/firefox

Make a symbolic link to the firefox, so the launcher will launch the new version of firefox

ln -s /opt/firefox/firefox /usr/bin/firefox

Run firefox

firefox

or You can run on Applications >> Internet >> Firefox Web Browser, if firefox shortcut there is no, you can create the new shortcut
Right click >> Create Launcher
Name : Firefox
Command : firefox
Comment : Web Browser of Mozilla Inc.
 fonte   http://tolearnfree.blogspot.com/2009/12/how-to-install-firefox-355tarbz2-on.html    


mas continua a não detectar os pluguins   como o  flash player



Código: [Selecionar]
  toni@toni-laptop:~$ firefox
LoadPlugin: failed to initialize shared library /home/toni/.mozilla/plugins/libflashplayer.so [/home/toni/.mozilla/plugins/libflashplayer.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/libflashplayer.so [/usr/lib/mozilla/plugins/libflashplayer.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in.so [/usr/lib/mozilla/plugins/mplayerplug-in.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-dvx.so [/usr/lib/mozilla/plugins/mplayerplug-in-dvx.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-qt.so [/usr/lib/mozilla/plugins/mplayerplug-in-qt.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-rm.so [/usr/lib/mozilla/plugins/mplayerplug-in-rm.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-wmp.so [/usr/lib/mozilla/plugins/mplayerplug-in-wmp.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/xulrunner-addons/plugins/libnullplugin.so [/usr/lib/xulrunner-addons/plugins/libnullplugin.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/xulrunner-addons/plugins/libunixprintplugin.so [/usr/lib/xulrunner-addons/plugins/libunixprintplugin.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /var/lib/flashplugin-installer/npwrapper.libflashplayer.so [/var/lib/flashplugin-installer/npwrapper.libflashplayer.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/libflashplayer.so [/usr/lib/mozilla/plugins/libflashplayer.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in.so [/usr/lib/mozilla/plugins/mplayerplug-in.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-dvx.so [/usr/lib/mozilla/plugins/mplayerplug-in-dvx.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-qt.so [/usr/lib/mozilla/plugins/mplayerplug-in-qt.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-rm.so [/usr/lib/mozilla/plugins/mplayerplug-in-rm.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/mplayerplug-in-wmp.so [/usr/lib/mozilla/plugins/mplayerplug-in-wmp.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/IcedTeaPlugin.so [/usr/lib/jvm/java-6-openjdk/jre/lib/amd64/IcedTeaPlugin.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so [/usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so: classe ELF errada: ELFCLASS64]
LoadPlugin: failed to initialize shared library /var/lib/flashplugin-installer/npwrapper.libflashplayer.so [/var/lib/flashplugin-installer/npwrapper.libflashplayer.so: classe ELF errada: ELFCLASS64]
/usr/lib/gio/modules/libgvfsdbus.so: classe ELF errada: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
/usr/lib/gio/modules/libgiogconf.so: classe ELF errada: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiogconf.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: classe ELF errada: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
toni@toni-laptop:~$
  

estou utilizando o ubuntu 9.10 64 bits

também coloquei o mesmo problema no fórum do Mozilla
http://forums.mozillazine.org/viewtopic.php?f=38&t=1710175&p=8518185#p8518185
https://support.mozilla.com/en-US/forum/1/563401?
« Última modificação: 23 de Janeiro de 2010, 14:20 por Bluray »
@CMatomic

Offline Bluray

  • Usuário Ubuntu
  • *
  • Mensagens: 75
    • Ver perfil
Re: Firefox 3.6 bin
« Resposta #4 Online: 24 de Janeiro de 2010, 08:24 »
estive a testar a versão do site do mozilla em 32bits , e funciona na perfeição detectou todos os plugins, mas como disse acima não esta detectando os plugins em 64bits já coloquei varias questões  em vários fóruns do Mozilla ate agora não obtive resultados  
@CMatomic

Offline Bluray

  • Usuário Ubuntu
  • *
  • Mensagens: 75
    • Ver perfil
Re: Firefox 3.6 bin
« Resposta #5 Online: 24 de Janeiro de 2010, 11:31 »
depois de varias tentativas de tentar o firefox 3.6 detectar o flash player  no ubuntu , fiz o seguinte passei o firefox para pasta /opt , baixei a versão do   flash player de 32bits e coloquei na pasta /opt/firefox/plugins ,  abri o firefox 3.6  e ficou funcionar com o  flash player de 32bit
@CMatomic